Just for your reference...It's a reply from Joe Parker
Re: Create Boundary counting the modelspace objects before and after a call to this sub will tell you if there are any new polylines created- messy but it works Private Sub Bound() Dim Pt As Variant, gotpt As Boolean gotpt = False
Do On Error Resume Next Pt = ThisDrawing.Utility.GetPoint(, "Select an Internal Point") If Err Then If GetAsyncKeyState(VK_ESCAPE) And &H8000& Then Exit Function End If Err.Clear gotpt = False Else gotpt = True End If Loop While Not gotpt On Error GoTo 0 ThisDrawing.SendCommand Chr(3) & Chr(3) & "-boundary" & vbCr & Pt(0) & "," & Pt(1) & vbCr & vbCr End Sub
Option Explicit Private Const VK_ESCAPE = &H1B Private Declare Function GetAsyncKeyState Lib "user32" _ (ByVal vKey As Long) As Integer
Private Sub Bound() Dim Pt As Variant, gotpt As Boolean gotpt = False
Do On Error Resume Next Pt = ThisDrawing.Utility.GetPoint(, "Select an Internal Point") If Err Then If GetAsyncKeyState(VK_ESCAPE) And &H8000& Then Exit Sub End If Err.Clear gotpt = False Else gotpt = True End If Loop While Not gotpt On Error GoTo 0 ThisDrawing.SendCommand Chr(3) & Chr(3) & "-boundary" & vbCr & Pt(0) & "," & _ Pt(1) & vbCr & vbCr End Sub